BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This class is safe for multiple readers and no concurrent writers. System.Object System.Collections.IList System.ICloneable System.Diagnostics.DebuggerDisplay("Count={Count}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Collections.CollectionDebuggerView)) System.Runtime.InteropServices.ComVisible(true)

Implements a variable-size that uses an array of objects to store its elements.

implements a variable-size that uses an array of objects to store the elements. A has a , which is the allocated length of the internal array. The total number of elements contained by a list is its . As elements are added to a list, its capacity

is automatically increased as required by reallocating the internal array.

The following example shows how to create, initialize, and display the values of a .

`using System; using System.Collections; public class SamplesArrayList { public static void Main() { // Create and initialize a new ArrayList. ArrayList myAL = new ArrayList(); myAL.Add("Hello"); myAL.Add("World"); myAL.Add("!"); // Display the properties and values of the ArrayList. Console.WriteLine( "myAL" ); Console.WriteLine( "Count: {0}", myAL.Count ); Console.WriteLine( "Capacity: {0}", myAL.Capacity ); Console.Write( "Values:" ); PrintValues( myAL ); } public static void PrintValues( IEnumerable myList ) { IEnumerator myEnumerator = myList.GetEnumerator(); while ( myEnumerator.MoveNext() ) Console.Write( " {0}", myEnumerator.Current ); Console.WriteLine(); } }`

The output is

myAL

Count: 3

Capacity: 16

Values: Hello World !

- Constructor

  Constructs and initializes a new instance of the class that is empty and has the default initial .

  The default initial of a is 16.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  The whose elements are copied to the new list.

  Constructs and initializes a new instance of the class with the elements from the specified . The initial and of the new list are both equal to the number of elements in the specified collection.

  The elements in the new instance are in the same order as contained in .

  is .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that specifies the number of elements that the new instance is initially capable of storing.

  Constructs and initializes a new instance of the class that is empty and has the specified initial .

  If is zero, the of the current instance is set to 16 when the first element is added.

  < 0.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Collections.ArrayList `` The to wrap.

  Creates a that is a wrapper for the specified .

  The wrapper for .

  This method returns a that contains a reference to the . Any modifications to the elements in either the returned list or are reflected in the other.

  The class provides generic , and methods. This wrapper provides a means to use those methods on without implementing the methods for the list. Performing these operations through the wrapper might be less efficient than operations applied directly to the list.

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The to be added to the end of the current instance.

  Adds the specified to the end of the current instance.

  A that specifies the index of the current instance at which has been added.

  As described above.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` The whose elements are added to the end of the current instance.

  Adds the elements of the specified to the end of the current instance.

  As described above.

  If the of the current instance plus the size of the collection being added is greater than the of the current instance, the capacity of the current instance is either doubled or increased to the new , whichever is greater. The internal array is reallocated to accommodate the new elements and the existing elements are copied to the new array before the new elements are added.

  For the default implementation, if the current instance can accommodate the new elements without increasing the , this method is an O() operation, where is the number of elements to be added. If the capacity needs to be increased to accommodate the new elements, this method becomes an O(+) operation, where is the number of elements to be added and is .

  is .

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The for which to search.

  Searches the current instance for the specified .

  A that specifies the results of the search as follows:

  Return Value
  Description
  The index of in the current instance.
  was found.
  The bitwise complement of the index of the first element that is greater than .
  was not found, and at least one element in the current instance is greater than .
  The bitwise complement of the of the current instance.
  was not found, and is greater than all elements in the current instance.

  If is not found and the current instance is already sorted, the bitwise complement of the return value indicates the index in the current instance where would be found.

  This method performs a binary search.

  A null reference can be compared with any type; therefore, comparisons with a null reference do not generate exceptions. A null reference evaluates to less than any non-null object, or equal to another null reference, when the two are compared.

  As described above.

  This method uses to search for .

  is compared to elements in a binary search of the current instance until an element with a value greater than or equal to is found. The implementation of the element being compared -- or of if the element being compared does not implement the interface -- is used to make the comparison. If does not implement the interface and is compared to an element that does not implement the interface, is thrown. If the current instance is not already sorted, correct results are not guaranteed.

  For the default implementation, this method is an O(log) operation where is equal to the of the current instance.

  is not assignment-compatible with at least one element in the current instance.

  Both and at least one element involved in the search of the current instance do not implement the interface.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` `` The for which to search.

  The implementation to use when comparing elements. Specify to use the implementation of each element.

  Searches the current instance for the specified using the specified implementation.

  A that specifies the results of the search as follows:

  Return Value
  Description
  The index of in the current instance.
  was found.
  The bitwise complement of the index of the first element that is greater than .
  was not found, and at least one element in the current instance is greater than .
  The bitwise complement of the of the current instance.
  was not found, and is greater than all elements in the current instance.

  If is not found and the current instance is already sorted, the bitwise complement of the return value indicates the index in the current instance where would be found.

  This method performs a binary search.

  A null reference can be compared with any type; therefore, comparisons with a null reference do not generate exceptions. A null reference evaluates to less than any non-null object, or equal to another null reference, when the two are compared.

  As described above.

  This method uses to search for .

  is compared to elements in a binary search of the current instance until an element with a value greater than or equal to is found. If is , the implementation of the element being compared -- or of if the element being compared does not implement the interface -- is used to make the comparison. If does not implement the interface and is compared to an element that does not implement the interface, is thrown. If the current instance is not already sorted, correct results are not guaranteed.

  For the default implementation, this method is an O(log) operation where is equal to the of the current instance.

  is , and is not assignment-compatible with at least one element in the current instance.

  is , and both and at least one element involved in the search in the current instance do not implement the interface.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` `` `` ``

  A that specifies the index at which searching starts. This value is greater than or equal to zero, and less than the of the current instance.

  A that specifies the number of elements to search, beginning with . This value is greater than or equal to zero, and less than or equal to the of the current instance minus . The for which to search. The implementation to use when comparing elements. Specify to use the implementation of each element.

  Searches the specified range in the current instance for the specified using the specified implementation.

  A that specifies the results of the search as follows:

  Return Value
  Description
  The index of in the current instance.
  was found.
  The bitwise complement of the index of the first element that is greater than .
  was not found, and at least one element in the range of to + - 1 in the current instance is greater than .
  The bitwise complement of ( + )
  was not found, and is greater than all elements in the range of to + - 1 in the current instance.

  If is not found and the current instance is already sorted, the bitwise complement of the return value indicates the index in the current instance where would be found in the range of to + - 1.

  This method performs a binary search.

  A null reference can be compared with any type; therefore, comparisons with a null reference do not generate exceptions. A null reference evaluates to less than any non-null object, or equal to another null reference, when the two are compared.

  As described above.

  This method uses to search for .

  is compared to elements in a binary search of the range of to + - 1 in the current instance until an element with a value greater than or equal to is found or the end of the range is reached. If is , the implementation of the element being compared -- or of if the element being compared does not implement the interface -- is used to make the comparison. If does not implement the interface and is compared to an element that does not implement the interface, is thrown. If the current instance is not already sorted, correct results are not guaranteed.

  For the default implementation, this method is an O(log) operation.

  of the current instance - < .

  -or-

  is , and is not assignment-compatible with at least one element in the current instance.

  < 0.

  -or-

  < 0.

  is , and both and at least one element involved in the search of the current instance do not implement the interface.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets or sets the number of elements that the current instance is capable of storing.

  A that specifies the number of elements that the current instance is capable of storing.

  The of a is the size of the internal array used to hold the elements of that list. When it is set, the internal array is reallocated to the specified value.

  As described above.

  If an attempt is made to set to a value less or equal to 0, it is set to the default capacity of 16.

  If the of the current instance exceeds the of the current instance while adding elements to the current instance, the capacity of the list is doubled by automatically reallocating the internal array before copying the old elements and adding the new elements.

  is set to a value that is less than the of the current instance. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void

  Sets the elements in the current instance to zero, , or , depending upon the element type.

  This method is implemented to support the interface.

  Reference-type elements are set to . Value-type elements are set to zero, except for elements, which are set to .

  This method uses to reset the values of the current instance. is set to zero. is not changed.

  To reset the of the current instance, call or set the property directly.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Object

  Returns a that is a copy of the current instance.

  A that is a copy of the current instance.

  This method is implemented to support the interface.

  As described above.

  This method uses to clone the current instance. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` The to locate in the current instance.

  Determines whether the specified is contained in the current instance.

  if is contained in the current instance; otherwise, .

  This method is implemented to support the interface.

  As described above.

  This method determines equality by calling the implementation of the type of .

  For the default implementation, this method is an O() operation where is equal to the of the current instance. If the current instance is sorted, it is more efficient to call method.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` The one-dimensional that is the destination of the elements copied from the current instance. The of this array is greater than or equal to the of the current instance.

  Copies the elements from the current instance to the specified .

  As described above.

  This method uses to copy the current instance to .

  is .

  has more than one dimension.

  -or-

  of the current instance > .Length.

  At least one element in the current instance is not assignment-compatible with the type of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` The one-dimensional that is the destination of the elements copied from the current instance. The of this array is greater than or equal to the sum of and the of the current instance. A that specifies the first index of to which the elements of the current instance are copied. This value is greater than or equal to zero, and less than .Length.

  Copies the elements from the current instance to the specified , starting at the specified index of the array.

  This method is implemented to support the interface.

  As described above.

  This method uses to copy the current instance to .

  is . < 0.

  has more than one dimension.

  -or-

  >= .Length.

  -or-

  + of the current instance > .Length.

  At least one element in the current instance is not assignment-compatible with the type of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` A that specifies the index in the current instance at which copying begins. This value is greater than or equal to 0, and less than the of the current instance. The one-dimensional that is the destination of the elements copied from the current instance. A that specifies the first index of to which the elements of the current instance are copied. This value is greater than or equal to zero, and less than .Length minus . A that specifies the number of elements to copy. This value is greater than or equal to 0, and less than both the of the current instance minus and .Length minus .

  Copies the specified range of elements from the current instance to the specified , starting at the specified index of the array.

  As described above.

  This method uses to copy the current instance to .

  is .

  < 0.

  -or-

  < 0.

  -or-

  < 0.

  has more than one dimension.

  -or-

  >= of the current instance .

  -or-

  >= of the current instance - .

  -or-

  >= .Length - .

  At least one element of the current instance is not assignment-compatible with the type of . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 Implemented to support the interface. [Note: For more information, see .]

  A that specifies the number of elements contained in the current instance.

  This property is read-only.

  is the number of elements that are contained by the . The count of a list is always less than or equal to of that list.

  This property is implemented to support the interface.

  As described above.

  If the exceeds the of the current instance while adding elements to the current instance, the capacity of the list is doubled by automatically reallocating the internal array before copying the old elements and adding the new elements. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.ArrayList `` The to wrap.

  Returns a wrapper with a fixed size.

  A wrapper with a fixed size.

  This method returns a fixed-size that contains a reference to . Operations that attempt to add to or delete from this new list will throw . Any modifications of the elements in either the returned list or will be reflected in the other.

  The property of the new list is . Every other property value of the new list references the same property value of .

  Adding to or removing from will not throw an exception and is reflected in the returned list.

  By performing operations on the new list, this wrapper can be used to prevent additions to and deletions from the . The elements of the list can still be modified by operations on the returned list.

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.IList `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.IEnumerator

  Returns a for the current instance.

  A for the current instance.

  If the the current instance is modified while an enumeration is in progress, a call to or throws .

  For detailed information regarding the use of an enumerator, see .

  This property is implemented to support the interface.

  As described above.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Collections.IEnumerator `` `` A that specifies the index of the current instance before which the enumerator is initially placed. This value is greater than or equal to 0, and less than the of the current instance. A that specifies the number of elements, beginning with , in the current instance over which the enumerator can iterate. This value is greater than or equal to 0, and less than or equal to the of the current instance minus .

  Returns a for the specified section of the current instance.

  A that can iterate over the range of to + - 1 in the current instance.

  The enumerator only enumerates over the range of the current instance from to + - 1. If the current instance is modified while an enumeration is in progress, a call to or will throw .

  For detailed information regarding the use of an enumerator, see .

  As described above.

  The enumerator is initially placed just before the element at position in the current instance. A call to returns the enumerator to this position.

  If the elements of the current instance have not been modified while the enumeration was in progress, a call to either returns and advances the enumerator one element in the current instance, or returns indicating the enumerator is at the end of the specified range.

  < 0.

  -or-

  < 0.

  + > of the current instance. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.ArrayList `` `` A that specifies the zero-based index in the current instance at which the range starts. This value is between 0 and the of the current instance minus , inclusive. A that specifies the number of elements in the range. This value is between 0 and the of the current instance minus , inclusive.

  Returns a that represents the specified range of the current instance.

  A that represents the range in the current instance from to + - 1.

  As described above.

  This method does not create copies of the elements: the new instance is a view window into the source list. Therefore, all subsequent changes to the source list must be done through this view window . If changes are made directly to the source list, the view window list is invalidated and any operations on it throw .

  < 0.

  -or-

  < 0.

  of the current instance - < .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The to locate in the current instance.

  Searches the current instance, returning the index of the first occurrence of the specified .

  A that specifies the index of the first occurrence of in the current instance, if found; otherwise, -1.

  This provides the caller with a standard code for a failed search.

  This method is implemented to support the interface.

  As described above.

  This method uses to search the current instance for .

  For the default implementation, this method performs a linear search. On average, this is an O(/2) operation, where is . The longest search is an O() operation.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` `` The to locate in current instance. A that specifies the index at which searching begins. This value is between 0 and the of the current instance minus 1, inclusive.

  Searches the current instance, returning the index of the first occurrence of the specified in the specified range.

  A that specifies the index of the first occurrence of in the current instance, if found within the range to the end of the current instance; otherwise, -1.

  This provides the caller with a standard code for a failed search.

  As described above.

  This method uses to search the current instance for .

  For the default implementation, this method performs a linear search. On average, this is an O(/2) operation, where is . The longest search is an O() operation.

  < 0.

  -or-

  >= of the current instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` `` `` The to locate in current instance. A that specifies the index at which to begin searching. This value is greater than or equal to zero, and less than the of the current instance. A that specifies the number of elements to search. This value is between 0 and the of the current instance minus , inclusive.

  Searches the current instance, returning the index of the first occurrence of the specified in the specified range.

  A that specifies the index of the first occurrence of in the current instance, within the range to + - 1, if found; otherwise, -1.

  This provides the caller with a standard code for a failed search.

  As described above.

  This method uses to search the current instance for .

  For the default implementation, this method performs a linear search. On average, this is an O(/2) operation, where is . The longest search is an O() operation.

  >= of the current instance.

  -or-

  < 0.

  -or-

  > of the current instance - .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A that specifies the index in the current instance at which is inserted. This value is between 0 and the of the current instance, inclusive.

  The to insert.

  Inserts the specified into the current instance at the specified index.

  This method is implemented to support the interface.

  As described above.

  If the of the current instance is equal to the of the current instance, the capacity of the list is doubled by automatically reallocating the internal array before the new element is inserted. If is equal to the of the current instance, is added to the end of the current instance.

  < 0.

  -or-

  > of the current instance.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A that specifies the index in the current instance at which the new elements are inserted. This value is between 0 and the of the current instance, inclusive. The whose elements are inserted into the current instance.

  Inserts the elements of the specified at the specified index of the current instance.

  As described above.

  If the of the current instance plus the size of is greater than the of the current instance, the capacity of the current instance is either doubled or increased to the new count, whichever yields a greater capacity. The internal array is reallocated to accommodate the new elements. If is equal to the of the current instance, the elements of are added to the end of the current instance.

  The order of the elements in the is preserved in the current instance.

  is .

  < 0.

  > of the current instance.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean

  Gets a indicating whether the of the current instance cannot be changed.

  if the of the current instance cannot be changed; otherwise, .

  This property is read-only.

  Elements cannot be added or removed from a with a fixed size, while existing elements can be modified.

  An attempt to add to or remove from a fixed size ArrayList will throw . However, the size of a fixed size ArrayList will change to reflect the additions or removals from the ArrayList that was used to create the fixed size ArrayList.

  This property is implemented to support the interface.

  As described above.

  The default value for this property is .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current instance is read-only.

  if the current instance is read-only; otherwise, .

  This property is read-only.

  The elements of a that is read-only cannot be modified, nor can elements be added to or removed from that list.

  An attempt to add to, remove from, or modify a read-only ArrayList will throw . However, changes to the ArrayList that was used to create the read-only ArrayList are reflected in the read-only ArrayList.

  This property is implemented to support the interface.

  As described above.

  The default value of this property is .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether access to the current instance is synchronized (thread-safe).

  if access to the current instance is synchronized (thread-safe); otherwise, .

  This property is read-only.

  To guarantee the thread safety of the , all operations must be done through the wrapper returned by the method.

  This property is implemented to support the interface.

  As described above.

  The default value of this property is .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Object `` A that specifies the zero-based index of the element in the current instance to get or set. This value is greater than or equal to 0, and less than the of the current instance.

  Gets or sets the element at the specified index of the current instance.

  The element at the specified index of the current instance.

  This property provides the ability to access a specific element in the collection by using the following syntax: myCollection[index] .

  This property is implemented to support the interface.

  As described above.

  < 0.

  -or-

  >= of the current instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The to locate in the current instance.

  Searches the current instance, returning the index of the last occurrence of the specified .

  A that specifies the index of the last occurrence of in the current instance, if found; otherwise, -1.

  This provides the caller with a standard code for a failed search.

  As described above.

  The ArrayList is searched backward starting at the last element and ending at the first element.

  This method uses to search the current instance for .

  For the default implementation, this method performs a linear search. On average, this is an O(/2) operation, where is of the current instance. The longest search is an O() operation.

0
1.0.5000.0
2.0.0.0
4.0.0.0
- Method
  System.Int32 `` `` The to locate in the current instance. A that specifies the index at which searching starts. This value is between 0 and the of the current instance - 1, inclusive.

  Searches the current instance, returning the index of the last occurrence of the specified in the specified range of the current instance.

  A that specifies the index of the last occurrence of in the range of through the first element of the current instance, if found; otherwise, -1.

  This provides the caller with a standard code for a failed search.

  As described above.

  The ArrayList is searched backward starting at .

  This method uses to search the current instance for .

  For the default implementation, this method performs a linear search. On average, this is an O(/2) operation. The longest search is an O() operation.

  < 0.

  -or-

  >= of the current instance.

0
1.0.5000.0
2.0.0.0
4.0.0.0
- Method
  System.Int32 `` `` `` The to locate in the current instance. A that specifies the index at which searching starts. A that specifies the number of elements to search, beginning with .

  Searches the current instance, returning the index of the last occurrence of the specified in the specified range.

  A that specifies the index of the last occurrence of value in the current instance, within the range through - + 1, if found; otherwise, -1.

  This provides the caller with a standard code for a failed search.

  As described above.

  The ArrayList is searched backward starting at and ending at - + 1.

  This method uses to search the current instance for .

  For the default implementation, this method performs a linear search. On average, this is an O(/2) operation. The longest search is an O() operation.

  < 0.

  -or-

  < 0.

  -or-

  >= of the current instance.

  -or-

  >= of the current instance.

  -or-

  > + 1.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Collections.ArrayList `` The to wrap.

  Returns a read-only wrapper.

  A read-only wrapper around .

  This method returns a read-only that contains a reference to . Operations that attempt add to, delete from, or modify the elements of this new list will throw . Any modifications of the elements will be reflected in the new list.

  The and properties of the new list are . Every other property value of the new list references the same property value of .

  By performing operations on the new list, this wrapper can be used to prevent additions to, deletions from, and modifications of the .

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.IList `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` The to remove from the current instance.

  Removes the first occurrence of the specified from the current instance.

  This method is implemented to support the interface.

  As described above.

  This method determines equality by calling .

  If is found in the current instance, is removed from the current instance, the rest of the elements are shifted down to fill the position vacated by , the of the current instance is decreased by one, and the position that was previously the last element in the current instance is set to . If is not found in the current instance, the current instance remains unchanged.

  For the default implementation, this method performs a linear search. On average, this is an O(/2) operation, where is of the current instance. The longest search is an O() operation.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` A that specifies the zero-based index of the element to remove from the current instance. This value is between 0 and the of the current instance, inclusive.

  Removes the element at the specified index from the current instance.

  This method is implemented to support the interface.

  As described above.

  The element at position is removed from the current instance, the rest of the elements are shifted down to fill the position vacated by that element, the of the current instance is decreased by one, and the position that was previously the last element in the current instance is set to .

  < 0.

  -or-

  >= of the current instance.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` A that specifies the zero-based index of the first element of the range of elements in the current instance to remove. This value is between 0 and the of the current instance minus , inclusive. A that specifies the number of elements to remove. This value is between 0 and the of the current instance minus , inclusive.

  Removes the specified range of elements from the current instance.

  As described above.

  The elements in the range of to + - 1 are removed from the current instance, the rest of the elements are shifted down to fill the position vacated by those elements, the of the current instance is decreased by , and the positions that were previously the last elements in the current instance are set to .

  < 0.

  -or-

  < 0.

  of the current instance - < .

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Collections.ArrayList `` ``

  The used to initialize the new instance.

  A that specifies the number of times is copied into the new instance.

  Returns a new whose elements are copies of the specified .

  A new with number of elements, all of which are copies of .

  If is less than the default initial capacity, 16, the of the new instance is set to the default initial capacity. Otherwise, the capacity is set to . The of the new instance is set to .

  < 0. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void

  Reverses the sequence of the elements in the current instance.

  As described above.

  This method uses to modify the ordering of the elements in the current instance.

  The current instance is read-only. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` A that specifies the zero-based index in the current instance at which reversing starts. This value is between 0 and the of the current instance minus , inclusive. A that specifies the number of elements to reverse. This value is between 0 and the of the current instance minus , inclusive.

  Reverses the sequence of the elements in the specified range of the current instance.

  As described above.

  This method uses to modify the ordering of the current instance.

  < 0.

  -or-

  < 0.

  of the current instance - < .

  The current instance is read-only. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` A that specifies the zero-based index in the current instance at which to start copying the elements of . This value is between 0 and the of the current instance minus .Count, inclusive. The whose elements to copy to the current instance.

  Copies the elements of the specified to a range in the current instance.

  As described above.

  This method uses the implementation of .

  < 0.

  -or-

  of the current instance - < .Count.

  is . The current instance is read-only. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void

  Sorts the elements of the current instance.

  The implementation of each element in the current instance is used to make the sorting comparisons.

  As described above.

  If the sort is not successfully completed, the results are unspecified.

  For the default implementation, this method uses , which uses the Quicksort algorithm. This is an O( log) operation, where is the number of elements to sort.

  One or more elements in the current instance do not implement the interface. The current instance is read-only. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void ``

  The implementation to use when comparing elements. Specify to use the implementation of each element in the current instance.

  Sorts the elements of current instance using the specified .

  As described above.

  If is , the implementation of each element in the current instance is used to make the sorting comparisons. If the sort is not successfully completed, the results are unspecified.

  For the default implementation, this method uses , which uses the Quicksort algorithm. This is an O( log) operation, where is the number of elements to sort.

  is , and one or more elements in the current instance do not implement the interface. The current instance is read-only. is , and one or more elements in the current instance do not implement the interface. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` A that specifies the zero-based index at which sorting starts. This value is between 0 and the of the current instance minus , inclusive. A that specifies the number of elements to sort. This value is between 0 and the of the current instance minus , inclusive.

  The implementation to use when comparing elements. Specify to use the implementation of each element in the current instance.

  Sorts the elements in the specified range of the current instance using the specified implementation.

  As described above.

  If is , the implementation of each element in the current instance is used to make the sorting comparisons. If the sort is not successfully completed, the results are unspecified.

  For the default implementation, this method uses , which uses the Quicksort algorithm. This is an O( log) operation, where is the number of elements to sort.

  < 0.

  -or-

  < 0.

  of the current instance - < .

  is , and one or more elements in the current instance do not implement the interface. The current instance is read-only. is , and one or more elements in the current instance do not implement the interface. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.ArrayList `` The to synchronize.

  Returns a wrapper around the specified that is synchronized (thread-safe).

  A wrapper that is synchronized (thread-safe).

  This method returns a thread-safe that contains a reference to . Any modifications of the elements in either the returned list or will be reflected in the other.

  The property of the new list is . Every other property value of the new list references the same property value of .

  By performing operations on the new list, this wrapper can be used to guarantee thread-safe access to the .

  is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Collections.IList `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Object

  Gets an object that can be used to synchronize access to the current instance.

  A that can be used to synchronize access to the current instance.

  This property is read-only.

  Program code must perform synchronized operations on the of the current instance, not directly on the current instance. This ensures proper operation of collections that are derived from other objects. Specifically, it maintains proper synchronization with other threads that might be simultaneously modifying the current instance.

  As described above.

  This method returns a reference to the current instance.

  This property is implemented to support the interface.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Object[]

  Copies the elements of the current instance to a new array.

  A array containing copies of the elements of the current instance.

  As described above.

  The elements are copied using .

  For the default implementation, this method is an O() operation, where is the of the current instance.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Array `` The of the to create and copy the elements of the current instance.

  Copies the elements of the current instance to a new array of the specified .

  An array of containing copies of the elements of the current instance.

  As described above.

  The elements are copied using .

  For the default implementation, this method is an O() operation, where is the of the current instance.

  is . At least one element of the current instance cannot be cast to the . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void

  Sets the of the current instance to the of the current instance.

  This method can be used to minimize the memory overhead of the current instance if no new elements will be added to it.

  To completely clear all elements from the current instance, call the method before calling .

  As described above.

  If the of the current instance is zero, the of the current instance is set to the default initial capacity of 16.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0